CREATE TABLE IF NOT EXISTS STUDIENGANG (SG_ID INT IDENTITY, NAME VARCHAR(40) NOT NULL, UNIQUE(NAME));
CREATE TABLE IF NOT EXISTS HOCHSCHULE (HS_ID INT IDENTITY, NAME VARCHAR(40) NOT NULL, ABTEILUNG VARCHAR(40) NOT NULL, ORT VARCHAR(40) NOT NULL, SG_ID INT, CONSTRAINT FK_STUDIENGANG FOREIGN KEY (SG_ID) REFERENCES STUDIENGANG(SG_ID));
CREATE TABLE IF NOT EXISTS BUCH (B_ID INT IDENTITY, TITEL VARCHAR(50) NOT NULL, ISBN VARCHAR(20) NOT NULL, AUTHOR VARCHAR(30), VEROEFF_DAT DATE, VERSION DOUBLE, PREIS DOUBLE NOT NULL);
CREATE TABLE IF NOT EXISTS BENUTZER (BEN_ID INT IDENTITY, NAME VARCHAR(40) NOT NULL, EMAIL VARCHAR(256) NOT NULL);
CREATE TABLE IF NOT EXISTS PLATTFORMITEM (ITEM_ID INT IDENTITY, BEN_ID INT, B_ID INT, HS_ID INT, VERKAUFT BIT, CONSTRAINT FK_BUCH FOREIGN KEY (B_ID) REFERENCES BUCH(B_ID), CONSTRAINT FK_HOCHSCHULE FOREIGN KEY (HS_ID) REFERENCES HOCHSCHULE(HS_ID), CONSTRAINT FK_BENUTZER FOREIGN KEY (BEN_ID) REFERENCES BENUTZER(BEN_ID));


--INSERT INTO STUDIENGANG(NAME) VALUES('WIRTSCHAFTSINFORMATIK');
--INSERT INTO HOCHSCHULE(NAME, ABTEILUNG, ORT, SG_ID) VALUES('BERNER FACHHOCHSCHULE', 'WIRTSCHAFT', 'BERN', 1);
--INSERT INTO BUCH(TITEL, ISBN, AUTHOR, VEROEFF_DAT, VERSION, PREIS) VALUES('EMAIL ENGLISH', '9780230448551', 'NAME', '2018-10-04', 2.0, 30.00);
--INSERT INTO BENUTZER(BEN_ID, NAME,EMAIL) VALUES (1,'LUCA', 'lf9@baba.ch');
--INSERT INTO PLATTFORMITEM(BEN_ID, B_ID, HS_ID, VERKAUFT) VALUES(1, 1, 1, 0);
